---
title: "Contrato histórico: POST create-channel-on-event-rule | Documentación de Ordering.co"
description: "Contrato histórico de la API de Ordering.co para POST /event_rules/{event_rule_id}/channels, conservado como referencia."
canonical: https://docs.ordering.co/es/api-reference/guides/history/create-channel-on-event-rule/
---

# Contrato histórico: POST create-channel-on-event-rule

[]()

> **Contrato histórico de API.** Esta página describe un contrato anterior. Los métodos, las rutas y las respuestas pueden diferir de la API vigente.

## Significado histórico

Crear canal en una regla de evento

## API vigente

Para desarrollar una integración nueva, consulta la referencia o guía vigente enlazada.

[Ver la referencia de la API vigente](https://docs.ordering.co/es/api-reference/#tag/event_rules/POST/event_rules/%7Bevent_rule_id%7D/channels)

## Parámetros

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "event_rule_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  }
]
```

## Cuerpo de solicitud

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "title",
          "body",
          "channel"
        ],
        "properties": {
          "title": {
            "type": "string"
          },
          "body": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          },
          "channel": {
            "type": "string"
          }
        }
      }
    }
  }
}
```

## Respuestas

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"title\": \"Channel Event rule\",\n    \"body\": \"This is a test1\",\n    \"enabled\": \"1\",\n    \"channel\": \"sms\",\n    \"event_rule_id\": \"3\",\n    \"updated_at\": \"2022-05-18 17:57:06\",\n    \"created_at\": \"2022-05-18 17:57:06\",\n    \"id\": 5\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "title": {
                  "type": "string",
                  "example": "Channel Event rule"
                },
                "body": {
                  "type": "string",
                  "example": "This is a test1"
                },
                "enabled": {
                  "type": "string",
                  "example": "1"
                },
                "channel": {
                  "type": "string",
                  "example": "sms"
                },
                "event_rule_id": {
                  "type": "string",
                  "example": "3"
                },
                "updated_at": {
                  "type": "string",
                  "example": "2022-05-18 17:57:06"
                },
                "created_at": {
                  "type": "string",
                  "example": "2022-05-18 17:57:06"
                },
                "id": {
                  "type": "integer",
                  "example": 5,
                  "default": 0
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
